package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 阶段状态枚举
 */
@AllArgsConstructor
@Getter
public enum EBonusStageStatus {

    /**
     * 已完成
     */
    YES(0, "已完成"),
    /**
     * 未完成
     */
    NO(1, "未完成"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

    public static EBonusStageStatus getEBonusStageStatusLabel(Integer value) {
        if (null == value) {
            return null;
        }
        for (EBonusStageStatus eBonusStageStatus : EBonusStageStatus.values()) {
            if (eBonusStageStatus.getValue() == value) {
                return eBonusStageStatus;
            }
        }
        return null;
    }

}
